.noScroll{
    overflow: hidden;
}

#item-form{
    display: flex;
    flex-direction: column;
    width: 90%;
    padding: 2% 3%;
    border-radius: 8px;
}

#item-form > span{
    display: flex;
    margin-bottom: 15px;
    justify-content: space-between;
}

.flexCol{
    flex-direction: column;
}

button{
    border-radius: 5px;
    color: black;
    background-color: white;
    padding: 3px 5px;
}

input{
    border-radius: 5px;
    padding: 5px;
    text-decoration: none;
    outline: none;
}

input[type=text]{
    border: solid 2px rgb(41, 41, 41);
    width: 360px;
    padding: 8px;
}

label{
    margin-right: 20px;
    height: fit-content;
    padding: 5px 0;
    font-size: 18px;
}

textarea{
    width: 100%;
    max-width: 360px;
    border-radius: 5px;
    padding: 5px;
    height: 80px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.selectItem,
.selectCategory{
    min-width: 380px;
    display: inline-block;
    padding-bottom: 10px;
}

.add-size-and-price,
.add-image{
    background-color: #f5d7b6;
    padding:10px;
    border: none;
    transition: all 0.3s ease;
}

.add-size-and-price:hover,
.add-image:hover{
    color: white;
    background-color: #A3423C;
}

.buttonSpan{
    gap: 40px;
    justify-content: start;
}

.buttonSpan > input,
.buttonSpan > button{
    width: 150px;
    padding: 10px 5px;
    background-color: white;
    border: none;
    transition: all 0.3s ease;
}


.flexCol > button{
    width: max-content;

}
.sizePriceSpan.delete,
.sizePriceSpan.justAdded{
    transform: scale(0.3);
    opacity: 0;
}
.sizePriceSpan{
    display: inline-flex;
    margin-bottom: 5px;
    transition: all 0.3s ease-out;
    transform-origin: top left;
}

.sizePriceSpan > input{
    width: 50px;
    height: 30px;
    padding: 0 6px;
}

.sizePriceSpan > label{
    margin-right:5px;
}

.sizePriceSpan > span{
    height: max-content;
    align-self: center;
    padding-right: 20px;
    font-size: 18px;
}

.sizePriceSpan > button{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #f5d7b6;
    border: none;
}
.delete-image:hover,
.select-image:hover,
.buttonSpan > input:hover,
.buttonSpan > button:hover,
.sizePriceSpan > button:hover{
    color: white;
    background-color: #A3423C;
    border-color: white;
}
#images{
    gap: 10px;
    margin-bottom: 10px;
    display: grid;
}

.imageInput{
    display: none;
}

.image-container{
    position: relative;
    border: 2px dashed white;
    padding: 5px;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.textField label {
    min-width: 130px;
}

/* .image-container.imageAdded{
    min-width: 0;
    width: fit-content;
} */

/* .image-container.justAdded,
.image-container.delete{
    width: 0;
    height: 0;
    min-width:0;
} */

.image-container.justAdded > span,
.image-container.delete > span{
    font-size: 0;
    opacity: 0;
}

.image-container > span{
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.3s ease;
}

.image-container > .cr-slider-wrap{
    z-index: 2;
}

.image-container.imageAdded > span{
    z-index: -1;
}

.image-container.justAdded > .select-image,
.image-container.justAdded > .delete-image,
.image-container.delete > .delete-image{
    width: 0;
    height: 0;
    opacity: 0;
}

.delete-image{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #f5d7b6;
    border: none;
    font-size: 18px;
    position: absolute;
    right: 5px;
    bottom: 5px;
    z-index: 1;
    transition: all 0.3s ease;
}

.select-image{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #f5d7b6;
    border: none;
    font-size: 18px;
    position: absolute;
    left: 5px;
    bottom: 5px;
    z-index: 1;
    transition: all 0.3s ease;
}

.image-container > img{
    width: auto;
    height: 100%;
    object-fit: contain;
    min-width: 100%;
}